# Will set the required definitions for SCTP:
#  SCTP_FOUND
#  SCTP_LIBRARIES

INCLUDE (CheckSymbolExists) 

SET(SCTP_FOUND FALSE)

# Search compile information
CHECK_SYMBOL_EXISTS(IPPROTO_SCTP "sys/socket.h;netinet/in.h;netinet/sctp.h" HAVE_IPPROTO_SCTP)
IF ( NOT HAVE_IPPROTO_SCTP )
   MESSAGE( SEND_ERROR "Symbol IPPROTO_SCTP was not found in standard headers." )
ENDIF ( NOT HAVE_IPPROTO_SCTP )

# Search link information
CHECK_FUNCTION_EXISTS (sctp_getladdrs HAVE_SCTP_GETLADDRS)
IF (HAVE_SCTP_GETLADDRS)
   SET(SCTP_LIBRARIES "")
ELSE (HAVE_SCTP_GETLADDRS)
   CHECK_LIBRARY_EXISTS (sctp sctp_getladdrs "" HAVE_LIBSCTP)
   IF (HAVE_LIBSCTP)
     SET(SCTP_LIBRARIES "-lsctp")
   ELSE (HAVE_LIBSCTP)
     MESSAGE( SEND_ERROR "Function sctp_getladdrs was not found, please install libsctp." )
   ENDIF (HAVE_LIBSCTP)
ENDIF (HAVE_SCTP_GETLADDRS)

SET(SCTP_FOUND TRUE)
